About Seamly

About Us

Seamly2D is pattern design software to create reusable, scalable, sharable custom-fit patterns using bespoke tailoring, haute couture, and historical pattern drafting techniques. Seamly2D saves time and improves fit by creating patterns that are reusable parametric CAD engineering documents.

Unlike other pattern design software, Seamly2D allows designers to have complete control of the patternmaking process. Each reusable, scalable pattern can read multi-size tables for boutique sizing, and read individual measurement files for custom-fit.

Seamly2D is open source software released under the GPLv3+ license. Seamly2D is available for Windows, MacOS, and Linux. Learn more about Seamly2D by joining our active, friendly community at https://forum.seamly.net. You may post in any language you prefer.

Seamly2D (pattern drafting) and SeamlyMe (body measurements) enable patternmakers and tailors to create custom-fit digital sewing patterns.

Seamly2D and SeamlyMe are released under the GPLv3+ license as free and open-source software, downloadable from the Seamly website. You have the right to use, sell, share, and distribute your patterns in any way you wish.

5 Likes

Hi, I had trouble before christmas installing seamly 2d n my mac. I couldn’t get it to open and I didnt understand why that was happening. so I downloaded Valentina, with no trouble, and that is what I have been using. I would like to download Seamly2d because of all I am reading here about the divergence of the two programs,but I must be doing something wrong, because I cant get it to open. I am using an imac running osx el capitan version 10.11.6. I keep getting stalled opening the files as my computer requests a n application to open the files, can you help walk me through what should be a fairly simple thing? Maybe I am missing something. sign me good at patternmaking and terrible at computer literacy!!!

thanks terri

1 Like

Terri, El Capitan is getting a little old. You should be able to update to Sierra for free. I wouldn’t be surprised if that was causing the problem. Anyway, let’s see what the code writers know about this, I’m curious too as I have some older Macs.

1 Like

That could be part of the problem, so tonight I will try to upgrade to Sierra. I had no problem with Valentina on El Capitan, so I was not sure why Seamly will not open. I have adjusted system preferences to allow it, and I get to the verifying window, and the icon bounces on the dock, then just disappears and doesn’t finish the process.

1 Like

Could be due to differences in the build process. Seamly2D is hosted on Github, while Valentina is hosted on Gitlab.

Not sure what Qt Valentina is being built with, but there could be differences there. A newer Qt ver may not be playing nice with older an Mac ver, or it could be a newer Qt fixed a bug running a Mac ver.

1 Like

I have an older MacBook Air running an updated OS to “High Sierra” v10.13.3. I was able to download and run Seamly2D. It is considered an app and I was warned that it was not downloaded from an “identified developer.” In the System Preferences/Security, I told the Mac to open it anyways. And it did, no problem.

I think after you update to Sierra, you should be able to then update to High Sierra. If I remember correctly you can’t leapfrog directly ahead, you have to install Sierra first. It’s been awhile since I have used my Macs and I’m not to familiar with the newer unix based OS. Most of my work was on the older PowerPC systems.

Before you do anything, you might want to take a look at your System Preferences/Security to see if there is anything flagged as a problem with Seamly2D.

1 Like

That’s a good point… Anti Virus programs can be notorious for impeding installation of a new program.

1 Like

Thanks for all the help. I am bogged down in a rush job, so I havent had time to sit down and try again, but i will soon.

2 Likes

Not a security issue. I looked at the package contents for Seamly 2D and it requires Mac OS 10.12.0 or higher to run.

So I need to upgrade my OS.

Cannot get the installer for Sierra to work, so I have another hurdle to jump, but have to get some work done first.

Ongoing saga, but at least I know what the minimum requirements are now. Thanks everyone

3 Likes

HI everyone,
El Capitan (Mac OS 10.11) is no longer supported by Apple.
Seamly2D’s build tools support Mac OS starting with High Sierra (MacOS 10.13).
We are very sorry that we are unable to support older operating systems :cry:

2 Likes

Ah… yup.

QT 5.15 for MAC OS Target Platform|Architecture|Build Environment

macOS 10.13, 10.14, 10.15 , 11.0 x86_64 and x86_64h Xcode 11 (10.15 SDK) , 12 (11.0 SDK)

1 Like

I listed the operating systems that we support to our main wiki page.

  • Windows 10
  • MacOS 10.13 High Sierra and later, and
  • Linux Debian kernel v5.0 and later.

I also added a statement about how the competing Gnome, KDE, and Plasma desktop methods of displaying graphics are causing some havoc.

3 Likes